Mandatory Patching 11i for Extended Support

Oracle Support Compliance – Release 11.5.10.2 Support Milestones

Premium Support for E-Business Suite 11.5.10.2 ended November 30, 2010.

• First year of 11.5.10.2 EBS Extended Support fees are waived.

• Mandatory Patches – Minimum Baseline Patches for Extended Support  11.5.10.2 – After December 1, 2010 (Note 883202.1)

From MOS Note 883202.1

To benefit from Extended Support and thereby be eligible for new bug fixes, Release 11.5.10 customers should have applied the listed baseline patches by the end of November 2010. The practical significance of that date is that since then new bug fixes will only be created for the listed baseline patches (or patches that supersede them).

Additional restrictions apply to earlier releases. Oracle E-Business Suite systems on baseline Release 11.5.8 or lower are not eligible for patches, regardless of the individual product level. Similarly, systems on baseline Release 11.5.9 will not be eligible for patches after June 30, 2011.

All customers are, however, eligible to continue receiving technical support including access to online support tools, knowledge bases, pre-existing fixes, and service request resolution for as long as they operate their Oracle E-Business Suite systems.

To be eligible for Extended Support, a system must meet both system level and product level requirements:

  • System Level Requirements – An Oracle E-Business Suite Release 11.5.10 system’s core components (such as the database or technology stack) must be patched to the levels listed in Section 1 below.
  • Product Level Requirements – All Oracle E-Business Suite licensed products and shared (dependent) products must be patched to at least the minimum levels shown in Section 2 below. See the References section for details of licensing definitions and options.

Release 12.0 Support Milestones

• February 1, 2012 – Premium Support Ends (R12.0.6) (845809.1)

 Release 12.1 Support Milestones

• July 1, 2011 – You must apply R12.ATG_PF.B.delta.2 (R12.1.2 ATG RUP) (845809.1)

• February 1, 2012 – You must apply R12.ATG_PF.B.delta3 (R12.1.3 ATG RUP) (1066312.1)

• February 1, 2013 – You must upgrade to EBS R12.1.3 

Section 1

Mandatory Patches for 11.5.10.2

Minimum requirements for Extended Support

1) For a given product (Fully Installed, Pseudo as well as Shared), the code levels must be the equivalent of 11.5.10 CU2 plus any additional patches listed in Section 2 below (For more information on how to verify current code levels, see My Oracle Support Knowledge Document 1178133.1)

  • Existing Release 11.5.10 customers should refer to Document 316366.1 11.5.10 Oracle E-Business Suite Consolidated Update 2 (CU2)
  • Customers on an 11i release earlier than 11.5.10 should refer to Document 316365.1, Oracle Applications 11.5.10.2 Maintenance Pack Installation Instructions

2) ATG Rollup Patchset 6 (11i.ATG_PF.H.delta.6, Patch 5903765)

3) Database 10.2.0.4 or 11.1.0.7, although we highly recommend 11.2.0.3

4) Forms6i Patchset 19 (version 6.0.8.28, Patch 6194129)

5) Oracle HTTP Server MLR Patchset 4393827

6) Sun Java Runtime Engine (JRE) 1.6.0_03 or higher

Product Families that Require Mandatory Patches

Product families that require additional patches are:

  • Applications Technology
  • Contracts
  • Customer Data Management
  • Financials
  • Human Resources
  • Intelligence
  • Interaction Center
  • Logistics
  • Maintenance Management
  • Manufacturing
  • Marketing and Sales
  • Order Management
  • Procurement
  • Product Lifecycle Management
  • Projects
  • Service
  • Supply Chain Planning

Section 2

Refer to this MOS Note for a complete list of additional patches: Patch Requirements for Extended Support of Oracle E-Business Suite Release 11.5.10 [ID 883202.1]

Work through this list of patches and determine the patches needed based on the modules you have installed. You’ll need to review each patch README and determine any required prequisites. After completing this list of patches, each list will be unique to each client and new patches are continuously released, so be on the lookout for newer superceded patches. Then, follow these additional steps to determine any other patches.

1     CUP1 preinstall patches – see MOS Doc. ID: Oracle E-Business Suite Pre-install Patches Report (Note 1448102.1) – this list is new since Buzzi, so you should probably replace all the CUP1 patches with these new ones. There are more than twice as many with this new list from Oracle, so more than 150 patches.

2.      Run Patch Wizard after the 12.1.1 upgrade and research all the extra patches that come from Patch Wizard. Then, you should just have patches that are the most recent, so, maybe another 50-100, plus all their prereqs and post patches and steps.

3.      Re-run patchsets.sh, as I imagine some new family packs have come out. One that I know of is for Desktop Integrator – Oracle Web Applications Desktop Integrator 12.1.3 Release Update Patchset 1 (Patch 9790225, R12.BNE.B)

From a recent client these are the list of patches we used for Mandatory patches:

Mandatory preinstall patches

4761660, 6323851 preinstall=y

4626807 has been superseded by 6323851

3485155, 4166862, 6350124, 7429271, 9577274 apply in normal patch mode. These are pre-patches for the rest of the mandatory patches, but not preinstall=y patches.

7429271 is AD RUP7 applied in the previous step

Mandatory 1st pass patches

3324837, 3337098, 4023610, 4216942, 4244320, 4244449, 4253002, 4355172, 4393740, 4406147, 4486016, 4608023, 4631022, 4649626, 4651420, 4761660, 4906422, 4946700, 5024341, 5105878, 5121496, 5488542, 5610530, 5644830, 5697729, 5737143, 5739724, 5744373, 6008065, 6058052, 6082623, 6317575, 6490727, 6711319, 6770055, 6832807, 7023348, 7184125, 7254937, 7258620, 7312772, 7350793, 7350872, 7415848, 7632187, 7660107, 8332175, 8391832, 8406953, 8555411, 8642882, 8721245, 10111967, 12571920

Mandatory 2nd pass patches

3485155, 4461989, 4635071, 5647736, 5741592, 6241631, 6323851, 6360253, 6642331, 6663859, 6746863, 6771614, 6975727, 7172682, 8333453, 8362391, 8515573, 8639532, 9760758, 9767871, 10049153, 10128594, 10207297, 12917904

Mandatory merge patch missing pasb038.drv, caused by patch 5644830, fixed by applying 3485155 first.

Apply 6241631, ATG RUP7. Then, apply 9535311 to resolve mod plsql access issues caused by ATG RUP 7. After running 9535311, create the appsutil.zip with $AD_TOP/bin/admkapputil.pl and apply this appsutil.zip, or appsutil directory, in my case, to the database node.

Mandatory merge patch missing pasb038.drv, caused by patch 5644830, fixed by applying 3485155 first.

 Review the following to create your list of Mandatory Extended Support patches

1.      Review 11i – R12 Interoperability documents

Apply additional 11.2.0.3 RDBMS patches for 11i

From: Interoperability Notes Oracle EBS 11i with Oracle Database 11gR2 (11.2.0) [ID 881505.1]

For UNIX/Linux platforms, apply RDBMS patches

9858539, 12942119, 12960302, 12985184, 13001379, 13004894, 13258936, 13366268

Apply additional 11.2.0.3 RDBMS patches for R12.1

From: Interoperability Notes EBS R12 with Database 11gR2 [ID 1058763.1]

For all UNIX/Linux platforms:

4247037, 9858539, 12942119, 12960302, 12985184, 13001379, 13004894, 13258936, 13366268

Notice that the patch 4247037 is the only difference between 11i and R12 interoperability patches

This entry was posted in Mandatory Patching by mswing. Bookmark the permalink.

About mswing

Software Engineer using Pascal, C, and Ada to develop DSP code. Ingres DBA and Developer Informix DBA and Developer Oracle DBA and Object Modeler Oracle Parallel Server DBA Oracle Applications DBA EBS Upgrade Expert Author and Instructor